from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="system2mqtt",
    version="0.1.0",
    author="Christian Busch",
    author_email="hello@chbus.ch",
    description="A system for monitoring hosts by collecting metrics and sending them to Home Assistant via MQTT",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://git.debilux.org/chris/system2mqtt",
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: MIT License",
        "Operating System :: POSIX :: Linux",
        "Operating System :: POSIX :: BSD :: FreeBSD",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Topic :: System :: Monitoring",
        "Topic :: System :: Systems Administration",
    ],
    python_requires=">=3.8",
    install_requires=[
        "paho-mqtt>=2.0.0",
        "psutil>=5.9.0",
        "pyyaml>=6.0",
    ],
    entry_points={
        "console_scripts": [
            "system2mqtt=system2mqtt.main:main",
        ],
    },
    include_package_data=True,
) 